#ifndef LEMuSRParticleGun_h
#define  LEMuSRParticleGun_h 1

#include "G4ParticleGun.hh"
#include "G4Event.hh"
#include "G4PrimaryParticle.hh"

class LEMuSRParticleGunMessenger;
#include"G4ParticleGunMessenger.hh"

class  LEMuSRParticleGun: public G4ParticleGun
{
public:
  LEMuSRParticleGun();
  ~LEMuSRParticleGun();


 void GeneratePrimaryVertex(G4Event* evt);

  inline void SetDecayTime(G4double d) {decaytime = d;} 

  G4double decaytime;


protected:
  void SetInitialValues();

 private:
     LEMuSRParticleGunMessenger* theMessenger;
     G4ParticleGunMessenger* Messenger;

};

#endif
